Package org.jfree.layouting.layouter.counters.glyph

## Class BoxCounterStyle

- java.lang.Object
- - org.jfree.layouting.layouter.counters.glyph.BoxCounterStyle

- All Implemented Interfaces:
    `CounterStyle`

      public class BoxCounterStyle
      extends java.lang.Object
      implements CounterStyle

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BoxCounterStyle​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getCounterValue​(int index)` |
    `java.lang.String` | `getSuffix​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BoxCounterStyle

          public BoxCounterStyle​()

  - ### Method Detail

    - #### getCounterValue

          public java.lang.String getCounterValue​(int index)

      Specified by:
        `getCounterValue` in interface `CounterStyle`

    - #### getSuffix

          public java.lang.String getSuffix​()

      Specified by:
        `getSuffix` in interface `CounterStyle`